<?php
/*
Plugin Name: My Food Blog Style
Plugin URI: http://everythingpies.com/
Description: Modify WP Theme 2016 for an awsome food blog for FREE.
Author: Pie Guy
Author URI: http://everythingpies.com/
Version: 0.1
Text Domain: my-food-blog-style
License: GPL version 2 or later - http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
*/

//Plugin Main CSS File.
function mfbs_scripts() {
	wp_enqueue_style( 'mfbs-style', plugins_url( 'css/mfbs_stylesheet.css', __FILE__ ), array( 'twentysixteen-style','twentysixteen-fonts' ) ); 
	wp_enqueue_style( 'mfbs-grid', plugins_url( 'css/mfbs_foundation.min.css', __FILE__ ), array( 'twentysixteen-style','twentysixteen-fonts' ) ); 
	wp_enqueue_style( 'mfbs-slider', plugins_url( 'css/mfbs_slider.css', __FILE__ ), array( 'jetpack_css','jetpack_image_widget' ) ); 
	// wp_enqueue_script( 'script-name', get_template_directory_uri() . '/js/example.js', array(), '1.0.0', true );
}
add_action( 'wp_enqueue_scripts', 'mfbs_scripts' );

//Change Footer Text
function mfbs_remove_footer() {
 echo '<p>Designed by <a href="http://everythingpies.com" target="_blank">Pie Guy</a></p>';
}
add_action('twentysixteen_credits', 'mfbs_remove_footer');

//Remove page title
function mfbs_change_the_title( $title) {
	if (in_the_loop()) {
	   // save-- if (is_home() || is_front_page() || is_page()) {
	   if (is_front_page()) {
           $title = '';
      }
	}
    return $title;
}
add_filter( 'the_title', 'mfbs_change_the_title', 10);

//Grid foundation shortcodes
function mfbs_row( $atts, $content ) {
    return '<div class="row">' . do_shortcode( $content ) . '</div>';
}
add_shortcode( 'foodrow', 'mfbs_row' );

function mfbs_column( $atts, $content ) {
    $atts = shortcode_atts( array(
        'small' => 12,
        'medium' => null,
        'large' => null
    ), $atts );
    $atts['medium'] = ( $atts['medium'] == null ) ? $atts['small'] : $atts['medium'];
    $atts['large'] = ( $atts['large'] == null ) ? $atts['medium'] : $atts['large'];
    extract( $atts );
    $sizes = 'small-' . $small . ' medium-' . $medium . ' large-' . $large;
    return '<div class="columns ' . $sizes . '">' . do_shortcode( $content ) . '</div>';
}
add_shortcode( 'foodcolumn', 'mfbs_column');

//Resent post shortcode
function mfbs_recent_posts($atts){
 $q = new WP_Query(
   array( 'orderby' => 'date', 'posts_per_page' => '4')
 );
 $list = '<ul class="recent-posts">';
 while($q->have_posts()) : $q->the_post();
    $list .= '<li>' . get_the_date() . '<a href="' . get_permalink() . '">';
	$list .= get_the_post_thumbnail($the_post->ID , 'medium', array( 'class' => 'alignleft' ) );
	$list .= get_the_title() . '</a>' . '<br />' . get_the_excerpt() . '</li>';
 endwhile;
 wp_reset_query();
 return $list . '</ul>';
}
add_shortcode('foodrecentposts', 'mfbs_recent_posts');

//Resent post shortcode 3x3
function mfbs_recent_post3x3($atts){
 $q = new WP_Query(
   array( 'orderby' => 'date', 'posts_per_page' => '4')
 );
 $list = '<div class="row mfbs3x3">';
 while($q->have_posts()) : $q->the_post();
    $list .= '<div class="small-12 medium-6 large-4 columns"><p>' . '<a href="' . get_permalink() . '">';
	$list .= get_the_post_thumbnail($the_post->ID , 'medium' );
	$list .= get_the_title() . '</a>' . '<br />' . '</p></div>';
 endwhile;
 wp_reset_query();
 return $list . '</div>';
}
add_shortcode('foodrecentpost3x3', 'mfbs_recent_post3x3');

//Recent post shortcode single
function mfbs_recent_post1x1($atts){
 $q = new WP_Query(
   array( 'orderby' => 'date', 'posts_per_page' => '4')
 );
 $list = '<div class="row mfbs1x1">';
 while($q->have_posts()) : $q->the_post();
    $list .= '<div class="small-12 medium-12 large-12 columns">';
	$list .= '<a href="' . get_permalink() . '">' ;
	$list .= get_the_post_thumbnail($the_post->ID , 'medium', array( 'class' => 'alignleft' ) );
	$list .= get_the_title() . '</a>' . '<br>' . get_the_excerpt() . '</div>';
 endwhile;
 wp_reset_query();
 return $list . '</div>';
}
add_shortcode('foodrecentpost1x1', 'mfbs_recent_post1x1');


function listposts($atts) {
    $atts = shortcode_atts(array('tag' => 'lorem', 'posts_per_page' => -1, 'orderby' =>  'post_date', 'order' => 'asc', 'post_status' => 'any'), $atts);
    $catposts = get_posts($atts);
    $out = '';
    foreach ($catposts as $single) 
        {
            $out .= $single->post_title."<br />";
        }
    return $out;
    }

    add_shortcode('listposts', 'listposts');